Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server JAAS Provider API Reference 10g Release 3 (10.1.3) B25710-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.jazn
Class JAZNException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
oracle.security.jazn.JAZNException`

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  JAZNNamingException, JAZNObjectExistsException, JAZNObjectNotFoundException

public class JAZNException
extends java.lang.Exception

An JAZNException represents an authorization exception.

See Also:
  Serialized Form

Field Summary
`protected java.lang.Throwable` | `_cause` Contains the original exception that caused this JAZNException to be thrown.

Constructor Summary
`JAZNException()` Creates a new instance of JAZNException
`JAZNException(java.lang.String msg)` Creates a new instance of JAZNException with the specified arguments
`JAZNException(java.lang.String msg, java.lang.Throwable cause)` Creates a new instance of JAZNException with the specified arguments

Method Summary
`java.lang.Throwable` | `getCause()` Retrieves the causing exception of this JAZNException, if any.
`java.lang.Throwable` | `initCause(java.lang.Throwable cause)` Sets the causing exception of this exception.
`void` | `printStackTrace()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _cause

    protected java.lang.Throwable _cause

  Contains the original exception that caused this JAZNException to be thrown. This field is set if there is additional information that that could be obtained from the original exception, or if there original exception could not be mapped to a subclass of JAZNException. Can be null. This field is initialized by the constructors. You should access and manipulate this field through its get and set methods.

Constructor Detail

### JAZNException

    public JAZNException()

  Creates a new instance of JAZNException

### JAZNException

    public JAZNException(java.lang.String msg)

  Creates a new instance of JAZNException with the specified arguments

### JAZNException

    public JAZNException(java.lang.String msg,
                         java.lang.Throwable cause)

  Creates a new instance of JAZNException with the specified arguments

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Retrieves the causing exception of this JAZNException, if any.
  Returns:
    The possibly null exception that caused this authorization exception. If null, it means there is no causing exception for this authorization exception.
  See Also:
    `initCause(java.lang.Throwable)`

### initCause

    public java.lang.Throwable initCause(java.lang.Throwable cause)

  Sets the causing exception of this exception. <p/> If `e` is `this`, this method does no do anything.
  See Also:
    `getCause()`

### printStackTrace

    public void printStackTrace()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server JAAS Provider API Reference 10g Release 3 (10.1.3) B25710-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2006, Oracle. All rights reserved.